<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku RobotModel.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_robot_model_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Funkcje</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku RobotModel.cpp</div></div>
</div><!--header-->
<div class="contents">

<p>Definicje metod klasy <a class="el" href="class_robot_model.html" title="Trójwymiarowy model robota.">RobotModel</a>.  
<a href="#details">Więcej...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla RobotModel.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_model_8cpp__incl.png" border="0" usemap="#a_robot_model_8cpp" alt=""/></div>
<map name="a_robot_model_8cpp" id="a_robot_model_8cpp">
<area shape="rect" title="Definicje metod klasy RobotModel." alt="" coords="27,5,142,31"/>
<area shape="rect" href="_robot_model_8hpp.html" title="Definicja klasy RobotModel." alt="" coords="27,79,142,104"/>
<area shape="poly" title=" " alt="" coords="87,31,87,65,82,65,82,31"/>
<area shape="rect" title=" " alt="" coords="5,152,164,177"/>
<area shape="poly" title=" " alt="" coords="87,104,87,138,82,138,82,104"/>
</map>
</div>
</div>
<p><a href="_robot_model_8cpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Funkcje</h2></td></tr>
<tr class="memitem:a750a341f29d08df3225ee1c4aee8fe3f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8cpp.html#a750a341f29d08df3225ee1c4aee8fe3f">drawBlackField</a> (GLfloat x_position, GLfloat y_position, GLfloat z_position)</td></tr>
<tr class="memdesc:a750a341f29d08df3225ee1c4aee8fe3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rysuje czarne pole na planszy (na danych współrzędnych)  <br /></td></tr>
<tr class="separator:a750a341f29d08df3225ee1c4aee8fe3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeaeba2b8cfddbf911460988f9ad41eec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8cpp.html#aeaeba2b8cfddbf911460988f9ad41eec">drawPolygon</a> (GLfloat *x_coords, GLfloat *y_coords, GLfloat *z_coords, const GLfloat *color, const GLfloat *norm)</td></tr>
<tr class="memdesc:aeaeba2b8cfddbf911460988f9ad41eec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rysuje prostopadłościan na podstawie danych współrzędnych.  <br /></td></tr>
<tr class="separator:aeaeba2b8cfddbf911460988f9ad41eec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa31febf458485f9c45b26e33d2384d95"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8cpp.html#aa31febf458485f9c45b26e33d2384d95">updateArray</a> (float *array, float point1, float point2, float point3, float point4)</td></tr>
<tr class="memdesc:aa31febf458485f9c45b26e33d2384d95"><td class="mdescLeft">&#160;</td><td class="mdescRight">Aktualizuje współrzędne w tablicy.  <br /></td></tr>
<tr class="separator:aa31febf458485f9c45b26e33d2384d95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f98776a162029889da039f37f4811a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8cpp.html#a3f98776a162029889da039f37f4811a7">drawObstacleLine</a> (std::pair&lt; float, float &gt; coords, const float *color)</td></tr>
<tr class="memdesc:a3f98776a162029889da039f37f4811a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rysuje przeszkodę w postaci walca.  <br /></td></tr>
<tr class="separator:a3f98776a162029889da039f37f4811a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Dokumentacja funkcji</h2>
<a id="a750a341f29d08df3225ee1c4aee8fe3f" name="a750a341f29d08df3225ee1c4aee8fe3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a750a341f29d08df3225ee1c4aee8fe3f">&#9670;&#160;</a></span>drawBlackField()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void drawBlackField </td>
          <td>(</td>
          <td class="paramtype">GLfloat&#160;</td>
          <td class="paramname"><em>x_position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLfloat&#160;</td>
          <td class="paramname"><em>y_position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLfloat&#160;</td>
          <td class="paramname"><em>z_position</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Rysuje czarne pola na planszy (szachownicy)</p>
<p>Funkcja wywoływana w zagnieżdżonej pętli rysuje czarne pola na planszy tworząc szachownicę. Pole jest kwadratem o wymiarach 1x1 [cm].</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">x_position</td><td>- współrzędna X lewego dolnego narożnika pola </td></tr>
    <tr><td class="paramname">y_position</td><td>- współrzędna Y lewego dolnego narożnika pola </td></tr>
    <tr><td class="paramname">z_position</td><td>- wysokość, na której umieszczane jest pole (wysokość planszy) </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8cpp_source.html#l01070">1070</a> pliku <a class="el" href="_robot_model_8cpp_source.html">RobotModel.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_model_8cpp_a750a341f29d08df3225ee1c4aee8fe3f_icgraph.png" border="0" usemap="#a_robot_model_8cpp_a750a341f29d08df3225ee1c4aee8fe3f_icgraph" alt=""/></div>
<map name="a_robot_model_8cpp_a750a341f29d08df3225ee1c4aee8fe3f_icgraph" id="a_robot_model_8cpp_a750a341f29d08df3225ee1c4aee8fe3f_icgraph">
<area shape="rect" title="Rysuje czarne pole na planszy (na danych współrzędnych)" alt="" coords="528,5,639,31"/>
<area shape="rect" href="class_robot_model.html#af95c27a9257a9337c8b513c25b40db66" title="Rysuje planszę, po której jeździ robot." alt="" coords="321,5,480,31"/>
<area shape="poly" title=" " alt="" coords="514,21,481,21,481,15,514,15"/>
<area shape="rect" href="class_robot_model.html#a29a86db3d5f416f78ce4a9527f00f6fc" title="Rysuje wszystkie elementy mapy 3D." alt="" coords="149,5,273,31"/>
<area shape="poly" title=" " alt="" coords="308,21,273,21,273,15,308,15"/>
<area shape="rect" href="class_viewer.html#adc56b61501489ecfdd2618218c128e8c" title="Funkcja rysująca obiekty." alt="" coords="5,5,101,31"/>
<area shape="poly" title=" " alt="" coords="136,21,102,21,102,15,136,15"/>
</map>
</div>

</div>
</div>
<a id="aeaeba2b8cfddbf911460988f9ad41eec" name="aeaeba2b8cfddbf911460988f9ad41eec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeaeba2b8cfddbf911460988f9ad41eec">&#9670;&#160;</a></span>drawPolygon()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void drawPolygon </td>
          <td>(</td>
          <td class="paramtype">GLfloat *&#160;</td>
          <td class="paramname"><em>x_coords</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLfloat *&#160;</td>
          <td class="paramname"><em>y_coords</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLfloat *&#160;</td>
          <td class="paramname"><em>z_coords</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const GLfloat *&#160;</td>
          <td class="paramname"><em>color</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const GLfloat *&#160;</td>
          <td class="paramname"><em>norm</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">x_coords</td><td>- tablica współrzędnych X punktów prostopadłościanu </td></tr>
    <tr><td class="paramname">y_coords</td><td>- tablica współrzędnych Y punktów prostopadłościanu </td></tr>
    <tr><td class="paramname">z_coords</td><td>- tablica współrzędnych Z punktów prostopadłościanu </td></tr>
    <tr><td class="paramname">color</td><td>- kolor bryły (domyślnie nullptr) </td></tr>
    <tr><td class="paramname">norm</td><td>- wektor normalny (domyślnie nullptr) </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8cpp_source.html#l01090">1090</a> pliku <a class="el" href="_robot_model_8cpp_source.html">RobotModel.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_model_8cpp_aeaeba2b8cfddbf911460988f9ad41eec_icgraph.png" border="0" usemap="#a_robot_model_8cpp_aeaeba2b8cfddbf911460988f9ad41eec_icgraph" alt=""/></div>
<map name="a_robot_model_8cpp_aeaeba2b8cfddbf911460988f9ad41eec_icgraph" id="a_robot_model_8cpp_aeaeba2b8cfddbf911460988f9ad41eec_icgraph">
<area shape="rect" title="Rysuje prostopadłościan na podstawie danych współrzędnych." alt="" coords="731,5,827,31"/>
<area shape="rect" href="class_robot_model.html#a12178061bc2160d73de81f418c65f25b" title="Rysuje podstawę robota." alt="" coords="528,5,683,31"/>
<area shape="poly" title=" " alt="" coords="717,21,683,21,683,15,717,15"/>
<area shape="rect" href="class_robot_model.html#a5ff73305cdfe2a1691b0c52c46a38a54" title="Rysuje kompletnego robota." alt="" coords="321,5,480,31"/>
<area shape="poly" title=" " alt="" coords="514,21,480,21,480,15,514,15"/>
<area shape="rect" href="class_robot_model.html#a29a86db3d5f416f78ce4a9527f00f6fc" title="Rysuje wszystkie elementy mapy 3D." alt="" coords="149,5,273,31"/>
<area shape="poly" title=" " alt="" coords="308,21,273,21,273,15,308,15"/>
<area shape="rect" href="class_viewer.html#adc56b61501489ecfdd2618218c128e8c" title="Funkcja rysująca obiekty." alt="" coords="5,5,101,31"/>
<area shape="poly" title=" " alt="" coords="136,21,102,21,102,15,136,15"/>
</map>
</div>

</div>
</div>
<a id="aa31febf458485f9c45b26e33d2384d95" name="aa31febf458485f9c45b26e33d2384d95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa31febf458485f9c45b26e33d2384d95">&#9670;&#160;</a></span>updateArray()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void updateArray </td>
          <td>(</td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>array</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>point1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>point2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>point3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>point4</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Mając wskaźnik na początek tablicy, nadpisuje zawarte w niej punkty czterema nowymi danymi jako argumenty.</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">array</td><td>- tablica współrzędnych </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">point1</td><td>- pierwsza współrzędna </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">point2</td><td>- druga współrzędna </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">point3</td><td>- trzecia współrzędna </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">point4</td><td>- czwarta współrzędna </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8cpp_source.html#l01119">1119</a> pliku <a class="el" href="_robot_model_8cpp_source.html">RobotModel.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_model_8cpp_aa31febf458485f9c45b26e33d2384d95_icgraph.png" border="0" usemap="#a_robot_model_8cpp_aa31febf458485f9c45b26e33d2384d95_icgraph" alt=""/></div>
<map name="a_robot_model_8cpp_aa31febf458485f9c45b26e33d2384d95_icgraph" id="a_robot_model_8cpp_aa31febf458485f9c45b26e33d2384d95_icgraph">
<area shape="rect" title="Aktualizuje współrzędne w tablicy." alt="" coords="731,5,821,31"/>
<area shape="rect" href="class_robot_model.html#a12178061bc2160d73de81f418c65f25b" title="Rysuje podstawę robota." alt="" coords="528,5,683,31"/>
<area shape="poly" title=" " alt="" coords="717,21,683,21,683,15,717,15"/>
<area shape="rect" href="class_robot_model.html#a5ff73305cdfe2a1691b0c52c46a38a54" title="Rysuje kompletnego robota." alt="" coords="321,5,480,31"/>
<area shape="poly" title=" " alt="" coords="514,21,480,21,480,15,514,15"/>
<area shape="rect" href="class_robot_model.html#a29a86db3d5f416f78ce4a9527f00f6fc" title="Rysuje wszystkie elementy mapy 3D." alt="" coords="149,5,273,31"/>
<area shape="poly" title=" " alt="" coords="308,21,273,21,273,15,308,15"/>
<area shape="rect" href="class_viewer.html#adc56b61501489ecfdd2618218c128e8c" title="Funkcja rysująca obiekty." alt="" coords="5,5,101,31"/>
<area shape="poly" title=" " alt="" coords="136,21,102,21,102,15,136,15"/>
</map>
</div>

</div>
</div>
<a id="a3f98776a162029889da039f37f4811a7" name="a3f98776a162029889da039f37f4811a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f98776a162029889da039f37f4811a7">&#9670;&#160;</a></span>drawObstacleLine()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void drawObstacleLine </td>
          <td>(</td>
          <td class="paramtype">std::pair&lt; float, float &gt;&#160;</td>
          <td class="paramname"><em>coords</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const float *&#160;</td>
          <td class="paramname"><em>color</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Mając współrzędne X i Y przeszkody, rysowany jest walec o środku w punkcie danym tymi współrzędnymi o promieniu 0.2 cm oraz wysokości 2.1 cm. Walec zaślepiany jest od góry kołem. </p>

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8cpp_source.html#l01133">1133</a> pliku <a class="el" href="_robot_model_8cpp_source.html">RobotModel.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_model_8cpp_a3f98776a162029889da039f37f4811a7_cgraph.png" border="0" usemap="#a_robot_model_8cpp_a3f98776a162029889da039f37f4811a7_cgraph" alt=""/></div>
<map name="a_robot_model_8cpp_a3f98776a162029889da039f37f4811a7_cgraph" id="a_robot_model_8cpp_a3f98776a162029889da039f37f4811a7_cgraph">
<area shape="rect" title="Rysuje przeszkodę w postaci walca." alt="" coords="5,5,132,31"/>
<area shape="rect" href="_robot_model_8hpp.html#aecb475808c5b6047a80e78b980cb4fbb" title="Przekształca stopnie do radianów." alt="" coords="180,5,248,31"/>
<area shape="poly" title=" " alt="" coords="132,15,166,15,166,21,132,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_model_8cpp_a3f98776a162029889da039f37f4811a7_icgraph.png" border="0" usemap="#a_robot_model_8cpp_a3f98776a162029889da039f37f4811a7_icgraph" alt=""/></div>
<map name="a_robot_model_8cpp_a3f98776a162029889da039f37f4811a7_icgraph" id="a_robot_model_8cpp_a3f98776a162029889da039f37f4811a7_icgraph">
<area shape="rect" title="Rysuje przeszkodę w postaci walca." alt="" coords="547,5,673,31"/>
<area shape="rect" href="class_robot_model.html#a9d9e28b6fc0fe43de28cb93162389fb8" title="Oblicza współrzędne przeszkód." alt="" coords="321,5,499,31"/>
<area shape="poly" title=" " alt="" coords="533,21,499,21,499,15,533,15"/>
<area shape="rect" href="class_robot_model.html#a29a86db3d5f416f78ce4a9527f00f6fc" title="Rysuje wszystkie elementy mapy 3D." alt="" coords="149,5,273,31"/>
<area shape="poly" title=" " alt="" coords="308,21,274,21,274,15,308,15"/>
<area shape="rect" href="class_viewer.html#adc56b61501489ecfdd2618218c128e8c" title="Funkcja rysująca obiekty." alt="" coords="5,5,101,31"/>
<area shape="poly" title=" " alt="" coords="136,21,102,21,102,15,136,15"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="_robot_model_8cpp.html">RobotModel.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
